Versions
List recipe versions
Every recipe version of a skill, newest first, with the live and pinned versions marked.
GET
/
v1
/
skills
/
{slug}
/
versions
List recipe versions
curl --request GET \
--url https://api.valendata.com/v1/skills/{slug}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.valendata.com/v1/skills/{slug}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.valendata.com/v1/skills/{slug}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"skill_slug": "<string>",
"recipe_version": 123,
"pinned_recipe_version": 123,
"versions": [
{
"number": 123,
"status": "live",
"reason": "initial",
"run_id": "<string>",
"actor": "<string>",
"note": "<string>",
"created_at": "<string>",
"is_live": true,
"is_pinned": true,
"steps": 123
}
]
}{
"detail": "Invalid or expired API key"
}{
"detail": "Invalid or expired API key"
}{
"detail": "Invalid or expired API key"
}Authorizations
API key with the vd_sk_ prefix. Create keys from Settings, API Keys in the dashboard.
Path Parameters
URL-safe slug of the Skill.
⌘I
List recipe versions

